# Uses of Interface
org.eclipse.emf.compare.match.resource.IResourceMatchingStrategy

Packages that use IResourceMatchingStrategy
Package
Description
org.eclipse.emf.compare.match
org.eclipse.emf.compare.match.resource

## Uses of IResourceMatchingStrategy in org.eclipse.emf.compare.match

Method parameters in org.eclipse.emf.compare.match with type arguments of type IResourceMatchingStrategy
Modifier and Type
Method
Description
`static IMatchEngine`
DefaultMatchEngine.`create(UseIdentifiers useIDs, WeightProvider.Descriptor.Registry weightProviderRegistry, Collection<IResourceMatchingStrategy> strategies)`
Helper creator method that instantiate a `DefaultMatchEngine` that will use identifiers as specified by the given `useIDs` enumeration.
`static IMatchEngine`
DefaultMatchEngine.`create(UseIdentifiers useIDs, WeightProvider.Descriptor.Registry weightProviderRegistry, EqualityHelperExtensionProvider.Descriptor.Registry equalityHelperExtensionProviderRegistry, Collection<IResourceMatchingStrategy> strategies)`
Helper creator method that instantiate a `DefaultMatchEngine` that will use identifiers as specified by the given `useIDs` enumeration.

## Uses of IResourceMatchingStrategy in org.eclipse.emf.compare.match.resource

Classes in org.eclipse.emf.compare.match.resource that implement IResourceMatchingStrategy
Modifier and Type
Class
Description
`class`
`LocationMatchingStrategy`
This implementation of a matching strategy will only use String equality on the resource URIs to try and find resource mappings.
`class`
`NameMatchingStrategy`
This implementation of a matching strategy will only use String equality on the resource names to try and find resource mappings.
`class`
`NameSimilarityMatchingStrategy`
This implementation of a matching strategy will try and determine the resource mappings through the similarity of their names.
`class`
`RootIDMatchingStrategy`
This implementation of a matching strategy checks for the IDs of the resources' roots, and consider that resources match if the identifiers of their roots do.
Methods in org.eclipse.emf.compare.match.resource that return IResourceMatchingStrategy
Modifier and Type
Method
Description
`protected IResourceMatchingStrategy[]`
StrategyResourceMatcher.`getResourceMatchingStrategies()`
Returns the matching strategies that are to be used by this resource matcher.
Constructor parameters in org.eclipse.emf.compare.match.resource with type arguments of type IResourceMatchingStrategy
Modifier
Constructor
Description
``
`StrategyResourceMatcher(Collection<IResourceMatchingStrategy> strategies)`
Constructor that allows to give your own `IResourceMatchingStrategy`.